<%= form_with(model: employee, local: true) do |form| %>
  <% if employee.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(employee.errors.count, "error") %> prohibited this employee from being saved:</h2>

      <ul>
      <% employee.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name, id: :employee_name %>
  </div>

  <div class="field">
    <%= form.label :dob %>
    <%= form.text_field :dob, id: :employee_dob %>
  </div>

  <div class="field">
    <%= form.label :address %>
    <%= form.text_area :address, id: :employee_address %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
